#include <chrono>
#include <iostream>
#include <thread>
 
using namespace std;

void independentThread() {
    cout << "Starting concurrent thread.\n";
    this_thread::sleep_for(chrono::seconds(2));
    cout << "Exiting concurrent thread.\n";
}
 
void threadCaller() {
    cout << "Starting thread caller.\n";
    thread t(independentThread);
    //t.detach();
    t.join();
    this_thread::sleep_for(chrono::seconds(1));
    cout << "Exiting thread caller.\n";
}
 
int main() {
    threadCaller();
    this_thread::sleep_for(chrono::seconds(5));
}