#include <iostream>
#include <string>
#include <thread>
#include <mutex>

using namespace std;

mutex muA;
mutex muB;

void CallHome_AB(string message) {
    muA.lock();
    //Some additional processing 
    this_thread::sleep_for(chrono::milliseconds(100));
    muB.lock();

    cout << "Thread " << this_thread::get_id() << " says " << message << endl;

    muB.unlock();
    muA.unlock();
}

void CallHome_BA(string message) {
    muB.lock();
    //Some additional processing 
    this_thread::sleep_for(chrono::milliseconds(100));
    muA.lock();

    cout << "Thread " << this_thread::get_id() << " says " << message << endl;

    muA.unlock();
    muB.unlock();
}

int main() {
    thread t1(CallHome_AB, "Hello from Jupiter");
    thread t2(CallHome_BA, "Hello from Pluto");

    t1.join();
    t2.join();

    return 0;
}